%define url_ver	%(echo %version | cut -d. -f 1-2)

Summary:	Small applications which embed themselves in the GNOME panel
Name:		gnome-applets
Version:	3.6.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		gnome-applets-3.6.0-automake-1.13.patch
URL:		http://www.gnome.org/
BuildRequires:	intltool
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils
BuildRequires:	cpufrequtils-devel
BuildRequires:	pkgconfig(dbus-1) >= 1.1.2
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(gio-2.0) >= 2.15.3
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.15.3
BuildRequires:	pkgconfig(glib-2.0) >= 2.22.0
BuildRequires:	pkgconfig(gnome-icon-theme) >= 2.15.91
BuildRequires:	pkgconfig(gnome-settings-daemon)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.22.0
BuildRequires:	pkgconfig(gstreamer-0.10) >= 0.10.2
BuildRequires:	pkgconfig(gstreamer-audio-0.10) >= 0.10.2
BuildRequires:	pkgconfig(gstreamer-interfaces-0.10) >= 0.10.2
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(gucharmap-2.90) >= 2.33.0
BuildRequires:	pkgconfig(gweather-3.0) >= 2.91.0
BuildRequires:	pkgconfig(libgtop-2.0) >= 2.11.92
BuildRequires:	pkgconfig(libnotify) >= 0.7
BuildRequires:	pkgconfig(libpanelapplet-4.0) >= 2.91.90
BuildRequires:	pkgconfig(libwnck-3.0) >= 2.91.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:	pkgconfig(NetworkManager) >= 0.7
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.92
BuildRequires:	pkgconfig(pygobject-2.0) >= 2.26
# For gnome-autogen.sh
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
Requires:	gnome-system-monitor
Requires:	polkit-agent
Requires:	usermode-consoleonly

%description
GNOME is a user-friendly set of applications and desktop tools to be used in
conjunction with a window manager for the X Window System. The gnome-applets
package provides Panel applets which enhance your GNOME fallback experience.

You should install the gnome-applets package if you would like to embed
small utilities in the GNOME panel, part of GNOME fallback mode.


%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--without-hal \
	--enable-suid=no \
	--disable-scrollkeeper \
	--disable-battstat \
	--disable-schemas-install
%make

%install
%makeinstall_std

%find_lang %{name}-3.0 --with-gnome --all-name

for omf in %{buildroot}%{_datadir}/omf/*/{*-??.omf,*-??_??.omf,*-???.omf} ;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}-3.0.lang
done

%define schemas charpick cpufreq-applet drivemount geyes multiload stickynotes

%pre
if [ "$1" = "2" -a -d %{_libdir}/invest-applet ]; then
 /bin/rm -rf %{_libdir}/invest-applet 
fi

%preun
%preun_uninstall_gconf_schemas %schemas

%files -f %{name}-3.0.lang
%doc AUTHORS COPYING NEWS README
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.gnome.CPUFreqSelector.conf
%{_sysconfdir}/gconf/schemas/charpick.schemas
%{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas
%{_sysconfdir}/gconf/schemas/drivemount.schemas
%{_sysconfdir}/gconf/schemas/geyes.schemas
%{_sysconfdir}/gconf/schemas/multiload.schemas
%{_sysconfdir}/gconf/schemas/stickynotes.schemas
%{_bindir}/*
%{_libexecdir}/*applet*
%{_libdir}/bonobo/servers/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%py_puresitedir/invest*
%{_datadir}/gnome-applets
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/polkit-1/actions/org.gnome.cpufreqselector.policy
%{_datadir}/dbus-1/services/org.gnome.panel.applet.AccessxStatusAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.CPUFreqAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.CharpickerAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.DriveMountAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.GWeatherAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.GeyesAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.InvestAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.MultiLoadAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.NullAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.StickyNotesAppletFactory.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.TrashAppletFactory.service
%{_datadir}/dbus-1/system-services/org.gnome.CPUFreqSelector.service
%{_datadir}/gnome-panel/4.0/applets/org.gnome.applets.AccessxStatusApplet.panel-applet
%{_datadir}/gnome-panel/4.0/applets/org.gnome.applets.CPUFreqApplet.panel-applet
%{_datadir}/gnome-panel/4.0/applets/org.gnome.applets.CharpickerApplet.panel-applet
%{_datadir}/gnome-panel/4.0/applets/org.gnome.applets.DriveMountApplet.panel-applet
%{_datadir}/gnome-panel/4.0/applets/org.gnome.applets.GWeatherApplet.panel-applet
%{_datadir}/gnome-panel/4.0/applets/org.gnome.applets.GeyesApplet.panel-applet
%{_datadir}/gnome-panel/4.0/applets/org.gnome.applets.InvestApplet.panel-applet
%{_datadir}/gnome-panel/4.0/applets/org.gnome.applets.MultiLoadApplet.panel-applet
%{_datadir}/gnome-panel/4.0/applets/org.gnome.applets.NullApplet.panel-applet
%{_datadir}/gnome-panel/4.0/applets/org.gnome.applets.StickyNotesApplet.panel-applet
%{_datadir}/gnome-panel/4.0/applets/org.gnome.applets.TrashApplet.panel-applet
%{_datadir}/glib-2.0/schemas/org.gnome.applets.GWeatherApplet.gschema.xml


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-3.mga3
+ Revision: 351977
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 ovitters <ovitters> 3.6.0-2.mga3
+ Revision: 338692
- update description

* Fri Jan 04 2013 cjw <cjw> 3.6.0-1.mga3
+ Revision: 338683
- 3.6.0 (from git, actually 3.6.1pre)
- patch1: fix build with automake 1.13

  + fwang <fwang>
    - there is no requires on gnome-python-gconf now

* Fri Sep 21 2012 fwang <fwang> 3.5.92-1.mga3
+ Revision: 296466
- drop merged patch
- new version 3.5.92

* Thu Aug 30 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 285894
- new version 3.5.91

* Sun Jul 15 2012 wally <wally> 3.5.1-1.mga3
+ Revision: 270922
- add a patch from upstream bugzilla to port to new libgweather

  + ovitters <ovitters>
    - new version 3.5.1

* Sun Apr 15 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 230973
- new version 3.4.1
- new version 3.4.0

* Fri Oct 28 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 159127
- new version 3.3.1
- clean .spec a bit

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156053
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 147894
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145875
- new version 3.1.92

* Tue Sep 06 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 139344
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136388
- br gnome-doc-utils
- br  scrollkeeper
- br xsltproc
- new version 3.1.90
- new version 3.1.5

  + wally <wally>
    - new version 3.1.4
    - clean BRs and use pkgconfig style when possible

  + ahmad <ahmad>
    - Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Wed Jul 06 2011 gil <gil> 3.1.3-0.mga2
+ Revision: 119467
- update to 3.1.3

* Sat Jun 18 2011 cjw <cjw> 3.1.2-1.mga2
+ Revision: 109373
- 3.1.2

* Mon Feb 21 2011 eandry <eandry> 2.32.1.1-2.mga1
+ Revision: 55749
- drop buildroot
- drop old conditionnal
- drop old obsoletes/conflict
- imported package gnome-applets

